--******************************************************************************************************
--[[
	(c) Black Dog Games 2019 all rights reserved
	qwarlock@gmail.com
	10/20/19  v1.0 for WoW Classic
	
--]]

LBHM_Debug = 1;
colorCode = "|cff2255ee";
LeaderBothHealthManagerFrame = nil;

local throttle = 0;

-- *****************************************************************************************************
function LBHMmsg(msg, ovverride)
	if (LBHM_Debug == 1 or override ) then
		ChatFrame1:AddMessage(colorCode .. msg);
	end
end 

-- *****************************************************************************************************
function LeaderBotHealthManager_OnInit()
    LBHMmsg("Function: LeaderBotHealthManager_OnInit");

    if (LeaderBothHealthManagerFrame == nil) then
        LeaderBothHealthManagerFrame = CreateFrame("Frame", "LeaderBotHealthManager", UIParent, BackdropTemplateMixin and "BackdropTemplate");
    end 

    --seterrorhandler(LeaderBotHealthManager_ErrorHandler);

end 


-- ****************************************************************************************************
function LeaderBotHealthManager_ErrorHandler(msg)

	StaticPopupDialogs["LEADERBOT_ERROR"] = {
			preferredIndex = 3,  -- avoid some UI taint (not sure what that means, found it on the web. explanation link was dead)
			timeout = 0,
			whileDead = true,
			hideOnEscape = false,
			text = "Leader Bot Error:\n\n" .. msg .. "\n\nLeader Bot will most likely stop working, or only partially function, until you reload your UI. Would you like to do that now?",
							
			button1 = "OK",
			OnAccept = function()
                                C_UI.Reload();
						end,			

			button2 = "Ignore",
			OnCancel = function()

						end,

			};

	StaticPopup_Show("LEADERBOT_ERROR");


    print("Leader bot error: " .. msg);
end 




